# $Revision: 1.10 $, $Date: 2012/03/28 07:27:32 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Daemon to offer libfprint functionality over D-Bus
Summary(pl.UTF-8):	Demon oferujący funkcjonalność libfprint poprzez D-Bus
Name:		fprintd
Version:	0.4.1
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.bz2
# Source0-md5:	021844be151c0cb22d0c1624233b7780
URL:		http://www.reactivated.net/fprint/wiki/Fprintd
BuildRequires:	autoconf
BuildRequires:	dbus-glib-devel
%{?with_apidocs:BuildRequires:	docbook-dtd412-xml}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
%{?with_apidocs:BuildRequires:  gtk-doc >= 1.3}
BuildRequires:	intltool
BuildRequires:	libfprint-devel >= 0.4.0
%{?with_apidocs:BuildRequires:	libxslt-progs}
BuildRequires:	pam-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.91
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Daemon to offer libfprint functionality over D-Bus.

%description -l pl.UTF-8
Demon oferujący funkcjonalność libfprint poprzez D-Bus.

%package apidocs
Summary:	fprintd API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki fprintd
License:	GFDL v1.1+
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API and internal documentation for fprintd library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki fprintd.

%package -n pam-pam_fprintd
Summary:	PAM module for fingerprint authentication
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania odciskiem palca
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n pam-pam_fprintd
PAM module for fingerprint authentication.

%description -n pam-pam_fprintd -l pl.UTF-8
Moduł PAM do uwierzytelniania odciskiem palca.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_apidocs:--enable-gtk-doc --with-html-dir=%{_gtkdocdir}}

%{__make} \
	pammoddir=/%{_lib}/security

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/fprint
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pammoddir=/%{_lib}/security

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_fprintd.la

# to -devel, but we haven't any
%{__rm} $RPM_BUILD_ROOT%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.*.xml

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fprintd.conf
%attr(755,root,root) %{_bindir}/fprintd-delete
%attr(755,root,root) %{_bindir}/fprintd-enroll
%attr(755,root,root) %{_bindir}/fprintd-list
%attr(755,root,root) %{_bindir}/fprintd-verify
%attr(755,root,root) %{_libdir}/fprintd
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
/etc/dbus-1/system.d/net.reactivated.Fprint.conf
%{_mandir}/man1/fprintd.1*
%dir %attr(700,root,root) /var/lib/fprint

%files -n pam-pam_fprintd
%defattr(644,root,root,755)
%doc pam/README
%attr(755,root,root) /%{_lib}/security/pam_fprintd.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/fprintd
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fprintd.spec,v $
Revision 1.10  2012/03/28 07:27:32  arekm
- release 2

Revision 1.9  2011/04/23 08:57:53  qboosh
- updated BRs
- disable silent-rules

Revision 1.8  2011/04/19 17:54:10  glen
- up to 0.4.1

Revision 1.7  2011/01/24 09:17:16  glen
- release 4

Revision 1.6  2011/01/23 20:06:24  sparky
- -apidocs: %{_gtkdocdir} belongs to gtk-doc-common; do not package it
- BR: autoconf, gettext-devel, intltool, perl-tools-pod

Revision 1.5  2011/01/23 11:18:50  glen
- fix apidocs packaging

Revision 1.4  2011/01/18 06:05:27  glen
- add dont-ever-unload.patch from fedora (fdo#31503)
- apidocs subpackage; rel 2

Revision 1.3  2011/01/18 05:57:29  glen
- add /var/lib/fprint dir
- dbus interfaces should go to -devel, but we have none

Revision 1.2  2010/11/12 19:16:35  qboosh
- PAM module is optional functionality, so moved to separate package

Revision 1.1  2010/11/12 08:47:01  qboosh
- new
